#!/usr/bin/env python

import sys

from CairoDock import CairoDock

############################
# Animate the icon
############################

count = 1 if len(sys.argv) < 2 else int(sys.argv[1])
animation = 'default' if len(sys.argv) < 3 else sys.argv[2]
animateType = 'attention' if len(sys.argv) < 4 else sys.argv[3]

if animateType != 'no':
	d=CairoDock().iface 
	
	if animateType == 'attention':
		start = True if count > 0 else False
		d.DemandsAttention( start, animation, 'class=thunderbird' )
	elif animateType == 'animation':
		d.Animate( animation, count, 'class=thunderbird' )
